- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_mime_part.h File Reference

axis2 mime_part interface More...

`#include <axutil_utils.h>`
`#include <axutil_error.h>`
`#include <axutil_utils_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_allocator.h>`
`#include <axutil_string.h>`
`#include <axutil_array_list.h>`

Go to the source code of this file.

## Classes
struct | axiom_mime_part_t
## Typedefs
typedef struct axiom_mime_part_t | axiom_mime_part_t
## Enumerations
enum | axiom_mime_part_type_t { AXIOM_MIME_PART_BUFFER = 0, AXIOM_MIME_PART_FILE, AXIOM_MIME_PART_CALLBACK, AXIOM_MIME_PART_UNKNOWN }
## Functions
AXIS2_EXTERN const axis2_char_t * | axiom_mime_part_get_content_type_for_mime (const axutil_env_t *env, axis2_char_t *boundary, axis2_char_t *content_id, axis2_char_t *char_set_encoding, const axis2_char_t *soap_content_type)
AXIS2_EXTERN axiom_mime_part_t * | axiom_mime_part_create (const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axiom_mime_part_create_part_list (const axutil_env_t *env, axis2_char_t *soap_body, axutil_array_list_t *binary_node_list, axis2_char_t *boundary, axis2_char_t *content_id, axis2_char_t *char_set_encoding, const axis2_char_t *soap_content_type)
AXIS2_EXTERN void | axiom_mime_part_free (axiom_mime_part_t *mime_part, const axutil_env_t *env)

## Detailed Description

axis2 mime_part interface

## Enumeration Type Documentation

enum axiom_mime_part_type_t

Enumerator:

  AXIOM_MIME_PART_BUFFER | Char buffer

## Function Documentation

AXIS2_EXTERN axiom_mime_part_t* axiom_mime_part_create | ( | const axutil_env_t * | env | ) |

Creates mime_part struct

Returns:
  pointer to newly created mime_part